function getCheckpointCoords() {
    navigator.geolocation.getCurrentPosition(setCheckpointCoords);
}

function setCheckpointCoords(position) {
    $("[name='lat']").val(position.coords.latitude);
    $("[name='lon']").val(position.coords.longitude);

    window.setTimeout(function() {
        navigator.geolocation.getCurrentPosition(setCheckpointCoords);
    }, 3000);
}

function onScanSuccess(decodedText, decodedResult) {
    $("[name='username']").val(decodedText);
    if ($("[name='username']").is(":focus") && $("[name='comment']").val()) {
        $("[name='username']").closest("form").submit();
    }
}

function onScanError(error) {
    console.warn(`Code scan error: ${error}`);
}

$(document).ready(function($) {
    if (navigator.geolocation) {
        getCheckpointCoords();
    }

    var scanner = new Html5QrcodeScanner("reader", { fps: 10, qrbox: {width: 250, height: 250} }, false);
    scanner.render(onScanSuccess, onScanError);
});
